//
//  YPCrawler.h
//  YPCrawler
//
//  Created by Yasir  on 15/01/13.
//  Copyright (c) 2013 YP. All rights reserved.
//  This is actuall crawler which take a url and fetches the content and get all link which contain http/https in the link
//

#import <Foundation/Foundation.h>

@protocol YPCrawlerDelegate <NSObject>
-(void) URLCrawlled:(NSString*) url contentSize:(NSInteger) contentSize linksFound:(NSArray*) linksFound sender:(id) sender;
-(void) crawlError:(NSString*) url sender:(id) sender;
@end

@interface YPCrawler : NSObject <NSURLConnectionDelegate> {
	NSMutableData *_responseDate;
	NSString	  *_url;
	id			   _delegate;
	NSURLConnection *_urlConnection;
}


-(id) initWithDelegate:(id) delegate;
-(void) crawlURL:(NSString*) url;
-(void) cancelCrawl;

@end
